Bug 1327282 - No python3-dnf-plugins-extras-kickstart without explanation
Summary: No python3-dnf-plugins-extras-kickstart without explanation
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-04-14 16:39 UTC by Miro Hrončok
Modified: 2016-11-07 15:24 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-07 15:24:38 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2016-04-14 16:39:29 UTC
See: http://pkgs.fedoraproject.org/cgit/rpms/dnf-plugins-extras.git/tree/dnf-plugins-extras.spec#n4


Actual results:
python3-dnf-plugins-extras-kickstart subpackage is disabled in the spec without explanation.

Expected results:
python3-dnf-plugins-extras-kickstart subpackage is enabled on explanation is in the spec file, why it is not working on Py3

Comment 1 Honza Silhan 2016-04-18 12:08:01 UTC
Miro, do you actually use this plugin? the plugin is broken, AFAIK is not used by anyone and on Python3 it definitely does not run. We should rather orphan this plugin if it;s needed just for Python 3 change.

Comment 2 Petr Viktorin 2016-04-18 12:52:49 UTC
Hi, Miro and I are from python-maint. I don't think Miro actually uses the plugin.
In order to coordinate the Python 3 effort, we want to know the status of this subpackage., both to estimate how much work is needed until we can drop Python 2 and to guide potential volunteers to areas where they can help.


I can see several scenarios:

1. If it is not used by anyone, even on Python 2, and there are no plans to work on it, then I think it's better to remove/orphan it now rather than later.

2. If it's only useful on Python 2, but has a viable replacement for Python 3, please mention that here, or (better) in the spec file.

3. If it *could* be useful but you just don't have the time to port it to Python 3 now, please also note that here or in the spec file.


Or in terms of asking volunteers to help port the plugin to Python 3, the above boild down to:

1. Volunteers can take this but you're not interested in it, or
2. Volunteer work would be a waste of time, or
3. Volunteers are welcome and you can help merge their contributions

Comment 3 Miro Hrončok 2016-04-18 22:41:30 UTC
Nope, I don't use this, but our "logic" of determining Python 3 support marks dnf-plugins-extra as "not ported" because of this. So I investigated and it let me to this subpackage which was conditionalized out of the spec and I was wondering why.

What concerns me is that it looks fairly Py3 compatible.

Comment 4 Neal Gompa 2016-04-22 13:16:15 UTC
It'd be good to know if this plugin does work, as I've left it enabled for the Mageia 6 port of dnf-plugins-extras.

pykickstart, which is required by the plugin, is most definitely ported to Python 3, so I'm not sure why it's disabled still in Fedora.

Comment 5 Michael Mráka 2016-04-29 11:56:39 UTC
Well, kickstart plugin is broken since Mar 14 2014 when commit a14e4edd05a8afe8b3b1ddfeb1cb073440dcc61d removed install_grouplist().

And nobody complained for two+ years means nobody uses it which means let's remove it. ;)

Comment 6 Fedora Admin XMLRPC Client 2016-07-21 12:40:32 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Jan Kurik 2016-07-26 05:01:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 8 Honza Silhan 2016-11-07 15:24:38 UTC
We don't plan to port python2-dnf-plugin-extras to Python 3 - which never existed in the upstream. We will keep Python 2 version of the plugin as long as it works.


Note You need to log in before you can comment on or make changes to this bug.